Skip to content

POST Update object upload status for service integration

POST /console/objects/{objectId}/status: Update object upload status for service integration. Execute a review action on an uploaded object. Designed for

POSThttps://api.rooom.com/console/objects/{objectId}/status
Try it out
product:service

Parameters

Path Parameters

NameTypeDescription
objectIdrequired
Example: 507f1f77bcf86cd799439011
stringUnique identifier of the uploaded object

Body required

multipart/form-data
NameTypeDescriptionValues
accepted_price
Example: 4990
integerPrice in cents. When set, immediately authorises the refinement.
action
Example: accept
stringAction to perform on the objectrequestacceptdeny
commentstringOptional comment explaining the action

Responses

200Action processed successfully
400Bad Request
401Unauthorized
404Object not found
POST /console/objects/{objectId}/status Update object upload status for service integration Execute a review action on an uploaded object. Designed for service-to-service integration (e.g. Case Manager). Required scopes: product:service objectId Unique identifier of the uploaded object accepted_price Price in cents. When set, immediately authorises the refinement. action Action to perform on the object comment Optional comment explaining the action